%define major 2
%define pilot_link_version 0.12.0
%define libname %mklibname %{name} %{major}

Summary:	GNOME Pilot programs
Name:		gnome-pilot
Version: 2.0.15
Release:	%mkrel 2
License:	GPL/LGPL
Group:		Graphical desktop/GNOME
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.0.15-2mdv fix version field in pc file
Patch0:		gnome-pilot-2.0.15-fixversion.patch
URL:		http://www.gnome.org/projects/gnome-pilot/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: pilot-link-devel >= %{pilot_link_version}
BuildRequires: libgnomeui2-devel
BuildRequires: libpanel-applet-devel
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
BuildRequires: automake1.9
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: hal-devel
BuildRequires: gob2

Requires(post): scrollkeeper desktop-file-utils
Requires(postun): scrollkeeper desktop-file-utils

%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot (tm).

%package -n %{libname}

Summary:	GNOME pilot libraries
Group:		System/Libraries

%description -n %{libname}
GNOME-Pilot libraries 

%package -n %{libname}-devel

Summary:	GNOME pilot libraries, includes, etc
Group:		Development/GNOME and GTK+
Requires: 	%{name} = %{version}
Requires:	%{libname} = %{version}

Requires:	pilot-link-devel >= %{pilot_link_version}
Requires:	libgnomeui2-devel

Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
gpilotd libraries and includes.



%prep
%setup -q
%patch0 -p1 -b .fixversion

%build

%configure2_5x--enable-usb --enable-vfs --enable-network

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="gnome" section="Office/Communications/PDA" command="gpilotd-control-applet" title="Pilot" longtitle="Access your Palm Pilot" icon="%{_datadir}/pixmaps/gnome-palm.png" xdg="true"
?package(%{name}): needs="gnome" section=".hidden" command="gpilot-install-file"title="GNOME Pilot Install Databases" longtitle="Install Databases on your Palm Pilot" mimetypes="application/x-palm-database" expect_uris="false" multiple_files="true" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-gpilot-install-file.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GNOME Pilot Install Databases
Comment=Install Databases on your Palm Pilot
Exec=gpilot-install-file %U
Icon=gnome-palm
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/x-palm-database;
Categories=GNOME;
Hidden=true
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gpilotd-control-applet.desktop 

%{find_lang} %{name} --with-gnome

# remove unpackaged files 
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-pilot/conduits/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%define gconf_schemas pilot

%post
%{update_menus}
%post_install_gconf_schemas %gconf_schemas
%update_scrollkeeper
%update_desktop_database

%post -n %{libname} -p /sbin/ldconfig

%preun
%preun_uninstall_gconf_schemas %gconf_schemas

%postun
%{clean_menus}
%clean_scrollkeeper
%clean_desktop_database

%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/pilot.schemas
%{_bindir}/*
%{_libexecdir}/gpilotd
%{_libexecdir}/gpilot-applet
%{_libdir}/bonobo/servers/*
%dir %{_libdir}/gnome-pilot
%dir %{_libdir}/gnome-pilot/conduits
%{_libdir}/gnome-pilot/conduits/*.so*
%{_datadir}/gnome-pilot
%{_datadir}/idl/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%_datadir/applications/*.desktop
%{_menudir}/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.*


%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*


%changelog
* Tue Aug 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.0.15-2mdv2008.0
+ Revision: 59886
- Reupload 2.0.15 in svn
- Patch0: fix version in .pc file, allow package to be built


* Tue Sep 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.14-2mdv2007.0
- Rebuild with latest ncurses

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.14-1mdv2007.0
- Release 2.0.14 final

* Wed Aug 30 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.14-0.pre6.1mdv2007.0
- Release 2.0.14pre6
- remove patch0, merged upstream

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 2.0.13-7mdv2007.0
- xdg menu

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.0.13-6mdk
- Use mkrel
- Fix package uninstall

* Fri Dec 30 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0.13-5mdk
- Rebuild

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 2.0.13-4mdk
- rebuild to remove glitz dep

* Thu Aug 18 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.13-3mdk
- add BuildRequires: intltool

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0.13-2mdk 
- Patch1: fix libdir for use on x86-64

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 2.0.13-1mdk
- fix the menu
- replace prereq tag
- New release 2.0.13

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.12-3mdk
- rebuild to sync up with x86_64 tree and current cooker env, aka no
  more indent in orbit-idl

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.12-2mdk 
- Rebuild with latest howl

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.12-1mdk
- New release 2.0.12
- Remove patches 3, 4, 5 (merged upstream)
- Patch0: add support for Zire72 (Mdk bug #12502)

* Fri Sep 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.11-4mdk
- Patch5 (CVS): fix crash when using gpilot-install-file
- add default action for installing prc/pdb

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.11-3mdk
- Update patch3 to fully handle non ASCII username
- Patch4 : Fix sync on all new USB devices

* Sat Aug 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.11-2mdk
- add BuildRequires: perl-XML-Parser

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.11-1mdk
- Release 2.0.11
- Remove patches 2, 4, 7 (merged upstream), 5, 6 (obsolete)

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-8mdk
- Update patch4 with correct id for Treo 600 (found by Christophe Mertz)
- Patch7 : fix build with gcc 3.4

* Fri Feb 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-7mdk
- Patch6 : fix crash when /proc/bus/usb is not mounted

* Tue Feb 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-6mdk
- Update patch4 with Aceeca meazura device id

* Tue Feb 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.10-5mdk
- Patch4 : update device id to latest kernel list
- Fix menu

